package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 押金抵扣DTO
 */
@Data
public class OrderDeductDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long id;

    @ApiModelProperty("抵扣金额")
    @NotNull(message = "抵扣金额不能为空")
    @Min(value = 0, message = "抵扣金额不能小于0")
    private BigDecimal amount;

    @ApiModelProperty("是否需要审核")
    private Boolean needVerify;

    @ApiModelProperty("当可抵扣金额不足时，是否减少抵扣金额")
    private Boolean reduceAmountWhenNotEnough;
    
}
